%define name    padthv1
%define version 0.8.5
%define release 2

%define _prefix	/usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Summary:	An old-school polyphonic additive synthesizer
Name: padthv1
Version: 0.8.5
Release: 2.rncbc.suse
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://padthv1.sourceforge.net
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

#BuildRequires:	libqt4-devel >= 4.4
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	qt5-qtbase-devel >= 5.1, qt5-linguist
BuildRequires:	alsa-lib-devel
%else
BuildRequires:	pkg-config
BuildRequires:	libqt5-qtbase-devel >= 5.1, libqt5-linguist
BuildRequires:	alsa-devel
%endif
BuildRequires:	libjack-devel >= 0.100.0
BuildRequires:	fftw3-devel
BuildRequires:	liblo-devel
BuildRequires:	lv2-devel

%description
  An old-school all-digital polyphonic additive synthesizer with stereo fx.

  Based on the PADsynth algorithm, by Paul Nasca, as a special variant
  of additive synthesis.

  http://zynaddsubfx.sourceforge.net/doc/PADsynth/PADsynth.htm

%prep
%setup
[ -x ./autogen.sh ] && ./autogen.sh

%build
%configure
%__make %{?_smp_mflags}

%install
%__make DESTDIR="%{buildroot}" install

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/lib%{name}.so*
%{_libdir}/lib%{name}_ui.so*
%dir %{_libdir}/lv2
%dir %{_libdir}/lv2/%{name}.lv2
%{_libdir}/lv2/%{name}.lv2/manifest.ttl
%{_libdir}/lv2/%{name}.lv2/%{name}.ttl
%{_libdir}/lv2/%{name}.lv2/%{name}.so
%{_libdir}/lv2/%{name}.lv2/%{name}_ui.ttl
%{_libdir}/lv2/%{name}.lv2/%{name}_ui.so
%dir %{_datadir}/metainfo
#dir %{_datadir}/mime
#dir %{_datadir}/mime/packages
#dir %{_datadir}/applications
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/32x32/mimetypes
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%dir %{_datadir}/icons/hicolor/scalable/mimetypes
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}_jack
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-%{name}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}*.svg
%{_datadir}/man/man1/%{name}*.1.gz

%changelog
* Sun Oct 29 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.8.5
- An Autumn'17 release.
* Tue Aug 22 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.8.4
- A Late-Summer'17 release.
- First public release.
* Thu Jul 20 2017 Rui Nuno Capela <rncbc@rncbc.org> 0.8.3
- Created initial padthv1.spec
